## python-maison 1.4.0

=== docs/requirements.txt ===
markdown-include==0.6.0
mkdocs==1.2.3
mkdocs-autolinks-plugin==0.4.0
mkdocs-autorefs==0.3.0
mkdocs-git-revision-date-localized-plugin==0.10.3
mkdocs-htmlproofer-plugin==0.7.0
mkdocs-material==8.0.2
mkdocs-material-extensions==1.0.3
mkdocs-minify-plugin==0.5.0
mkdocs-section-index==0.3.2
mkdocstrings==0.16.2

=== debian/changelog ===
python-maison (1.4.0-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Tue, 27 Sep 2022 07:23:22 +0100

python-maison (1.4.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1018885)

 -- Edward Betts <edward@4angle.com>  Fri, 02 Sep 2022 10:49:08 +0100

=== debian/control ===
Source: python-maison
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-click <!nocheck>,
               python3-poetry-core,
               python3-pydantic <!nocheck>,
               python3-pytest <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.1
Homepage: https://github.com/dbatten5/maison
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-maison
Vcs-Git: https://salsa.debian.org/python-team/packages/python-maison.git

Package: python3-maison
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Read Python package configuration settings
 When developing a Python application, e.g a command-line tool, it can be
 helpful to allow the user to set their own configuration options to allow them
 to tailor the tool to their needs. These options are typically set in files in
 the root of a project directory that uses the tool, for example in a
 pyproject.toml or an {project_name}.ini file.
 .
 maison aims to provide a simple and flexible way to read and validate those
 configuration options so that they may be used in the application.
 .
 Features:
  - Supports multiple config files and multiple config filetypes.
  - Optional merging of multiple configs.
  - Optional config validation with pydantic
  - Caching of config files for quick access.
  - Fully tested and typed.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=maison
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf maison.egg-info/

override_dh_auto_install:
	dh_auto_install
	rm debian/python3-maison/usr/bin/maison

## python-maison 1.4.2

=== debian/changelog ===
python-maison (1.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove pytest_cache directory after running tests.
  * Upstream has updated copyright year.
  * Update Standards-Version.

 -- Edward Betts <edward@4angle.com>  Fri, 17 Nov 2023 09:47:07 -0300

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-pydantic <!nocheck>,
                python3-pytest <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/dbatten5/maison
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-maison
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-maison.git

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 	dh_auto_clean
 	rm -rf maison.egg-info/
 
+override_dh_auto_test:
+	dh_auto_test
+	rm -r ./.pybuild/*/build/.pytest_cache
+
 override_dh_auto_install:
 	dh_auto_install
 	rm debian/python3-maison/usr/bin/maison

## python-maison 2.0.0

=== docs/requirements.txt ===
furo==2023.3.27
sphinx==6.1.3
sphinx-click==4.1.0
myst_parser==1.0.0

=== debian/changelog ===
python-maison (2.0.0-4) unstable; urgency=medium

  * Team upload.
  * Patch-out usage of python3-toml

 -- Alexandre Detiste <tchet@debian.org>  Sat, 30 Aug 2025 13:27:32 +0200

python-maison (2.0.0-3) unstable; urgency=medium

  * Team upload.
  * Add build-dependency on python3-toml. Closes: #1106439.
  * Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sun, 25 May 2025 00:30:00 +0200

python-maison (2.0.0-2) unstable; urgency=medium

  * Team upload.
  * Breaks: python3-yamlfix (<< 1.17.0).

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Sep 2024 13:03:17 +0100

python-maison (2.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Move packages required for tests to Build-Depends-Indep.
  * Include new upstream documentation in binary package.
  * Pass --no-cov when running tests at build time.
  * Update Standards-Version.
  * Update copyright year.
  * Patch README.md to remove badges.

 -- Edward Betts <edward@4angle.com>  Fri, 23 Aug 2024 07:51:50 +0100

python-maison (1.4.3-3) unstable; urgency=medium

  * Team Upload
  * autopkgtest needs python3-pydantic 2.x.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 22 Jul 2024 19:17:08 +0200

python-maison (1.4.3-2) unstable; urgency=medium

  * Team Upload
  * autopkgtest needs python3-pydantic too.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 21 Jul 2024 04:55:28 +0200

python-maison (1.4.3-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.4.3

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 18:55:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,42 @@
 Source: python-maison
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               pybuild-plugin-pyproject,
-               python3-all,
-               python3-click <!nocheck>,
-               python3-poetry-core,
-               python3-pydantic <!nocheck>,
-               python3-pytest <!nocheck>
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-poetry-core,
+Build-Depends-Indep:
+ furo <!nodoc>,
+ python3-click <!nocheck>,
+ python3-myst-parser <!nodoc>,
+ python3-pydantic (>=2.0~) <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-pytest-cov <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-autobuild <!nodoc>,
+ python3-sphinx-click <!nodoc>,
+ python3-tomli-w <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/dbatten5/maison
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-maison
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-maison.git
 
 Package: python3-maison
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${sphinxdoc:Depends},
+Breaks:
+ python3-yamlfix (<< 1.17.0),
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Description: Read Python package configuration settings
  When developing a Python application, e.g a command-line tool, it can be
  helpful to allow the user to set their own configuration options to allow them

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=maison
export PYBUILD_TEST_ARGS=--no-cov

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf maison.egg-info/ docs/_build

execute_after_dh_auto_test:
	rm -r ./.pybuild/*/build/.pytest_cache

execute_after_dh_auto_build:
	cd docs; PYTHONPATH=$(CURDIR) LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 sphinx-build -bhtml -d _build/doctrees . _build/html

execute_after_dh_auto_install:
	rm debian/python3-maison/usr/bin/maison

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-all,
 python3-pydantic (>=2.0~),
 python3-pytest,
 python3-tomli-w,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/maison-$1\.tar\.gz/ \
  https://github.com/dbatten5/maison/tags .*/v?(\d\S+)\.tar\.gz

## python-maison 2.0.2

=== docs/requirements.txt ===
furo==2024.8.6
myst-parser==4.0.1
sphinx==8.2.3
sphinx-autodoc-typehints==3.2.0
sphinx-copybutton==0.5.2
sphinx-tabs==3.4.7
sphinxcontrib-typer==0.5.1

=== debian/changelog ===
python-maison (2.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Upstream added typer, sphinxcontrib-typer, sphinx-autodoc-typehints,
    sphinx-tabs and sphinx-copybutton dependencies.
  * Remove 'Priority: optional', now the default.
  * Update Standards-Version.
  * Update copyright year.
  * Update debian/watch to format version 5.
  * Simplify debian/rules.
  * New debian/clean to remove build documentation.

 -- Edward Betts <edward@4angle.com>  Mon, 02 Feb 2026 15:31:53 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders:
  Edward Betts <edward@4angle.com>,
 Section: python
-Priority: optional
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
@@ -20,9 +19,14 @@
  python3-pytest-cov <!nocheck>,
  python3-sphinx <!nodoc>,
  python3-sphinx-autobuild <!nodoc>,
+ python3-sphinx-autodoc-typehints <!nocheck>,
  python3-sphinx-click <!nodoc>,
+ python3-sphinx-copybutton <!nocheck>,
+ python3-sphinx-tabs <!nodoc>,
+ python3-sphinxcontrib-typer <!nodoc>,
  python3-tomli-w <!nocheck>,
-Standards-Version: 4.7.2
+ python3-typer <!nocheck>,
+Standards-Version: 4.7.3
 Homepage: https://github.com/dbatten5/maison
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-maison
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-maison.git
@@ -30,6 +34,7 @@
 Package: python3-maison
 Architecture: all
 Depends:
+ python3-typer,
  ${misc:Depends},
  ${python3:Depends},
  ${sphinxdoc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,8 @@
 #!/usr/bin/make -f
-
-export PYBUILD_NAME=maison
 export PYBUILD_TEST_ARGS=--no-cov
 
 %:
 	dh $@ --buildsystem=pybuild
-
-execute_after_dh_auto_clean:
-	rm -rf maison.egg-info/ docs/_build
 
 execute_after_dh_auto_test:
 	rm -r ./.pybuild/*/build/.pytest_cache

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pydantic (>=2.0~),
 python3-pytest,
 python3-tomli-w,
 @,

=== debian/watch ===
Version: 5

Template: GitHub
Owner: dbatten5
Project: maison
